Subject: [Netconf] problem in ietf-netconf-acm

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 13 Jan 2016 21:08:50 +0100

Hi,

I just noticed that the module ietf-netconf-acm in RFC 6536 violates a
rule in sec. 4.9 of RFC 6087 because the top-level node "nacm" is a
mandatory non-presence container.

Does it make sense to submit an erratum?

Lada

-- 
Ladislav Lhotka, CZ.NIC Labs
PGP Key ID: E74E8C0C

---

From: Andy Bierman <[email-masked]>
Date: Wed, 13 Jan 2016 12:28:20 -0800

Hi,

There are mandatory config=false counters.
This guideline only applies to config=true nodes.
I will try to make that more clear:

   A mandatory database data definition is defined as a node that a
   client must provide for the database to be valid.  The server is not
   required to provide a value.

   Top-level database data definitions MUST NOT be mandatory.  If a
   mandatory node appears at the top level, it will immediately cause
   the database to be invalid.  This can occur when the server boots or
   when a module is loaded dynamically at runtime.

Since the client does not provide read-only counters, they do not count as
mandatory by
this definition.

Andy

On Wed, Jan 13, 2016 at 12:08 PM, Ladislav Lhotka <[email-masked]> wrote:

> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>

---

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 13 Jan 2016 21:41:44 +0100

> On 13 Jan 2016, at 21:28, Andy Bierman <[email-masked]> wrote:
> 
> Hi,
> 

nacm is config=true. I think this problem has to do with the fact that "mandatory" for state data is a requirement on the server whereas for configuration it is a requrement on the client.

Lada

> Since the client does not provide read-only counters, they do not count as mandatory by
> this definition.
> 
> 
> Andy
> 
>